gnutls_session_set_verify_output_function(3)

NAME
gnutls_session_set_verify_output_function - API function

SYNOPSIS
#include <gnutls/x509.h>

void gnutls_session_set_verify_output_function(gnutls_session_t session, gnutls_verify_output_function * func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_x509_trust_list_t type.

gnutls_verify_output_function *             func
    is the callback function

DESCRIPTION
This function sets a callback to be called when the peer's certificate chain has to be verified and full path to the trusted root has to be printed.

The callback's function prototype is defined in `x509.h': int (*callback)( gnutls_x509_crt_t cert, gnutls_x509_crt_t issuer, gnutls_x509_crl_t crl, unsigned int verification_output);

If the callback function is provided then gnutls will call it, in the certificate verification procedure. To verify the certificate chain and print its path uptp the trusted root, functions such as gnutls_certificate_verify_peers(), gnutls_x509_trust_list_verify_crt(), and gnutls_x509_trust_list_verify_crt2() can be used. The callback is set in _gnutls_verify_crt_status() and _gnutls_pkcs11_verify_crt_status().

SINCE
3.7.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/